From 349bdb23453003841bf08c57dcf1f4198cd04ec9 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 30 Oct 2009 18:06:05 +0100
Subject: [PATCH] Change kernel requires to conflicts

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 pcmciautils.spec |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/pcmciautils.spec b/pcmciautils.spec
index 1411f9b..8995aef 100644
--- a/pcmciautils.spec
+++ b/pcmciautils.spec
@@ -2,7 +2,7 @@ Name: pcmciautils
 Summary: PCMCIA utilities and initialization programs
 License: GPLv2
 Version: 015
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 Group: System Environment/Base
 ExclusiveArch: i386 i586 i686 x86_64 ia64 ppc ppc64 %{?arm}
 URL: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
@@ -14,7 +14,8 @@ Obsoletes: kernel-pcmcia-cs < 3.1.32
 #Provides:  kernel-pcmcia-cs = 3.1.32
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: libsysfs-devel >= 1.3.0
-Requires: udev >= 062, kernel >= 2.6.12-1.1411_FC5
+Requires: udev >= 062
+Conflicts: kernel < 2.6.12-1.1411_FC5
 BuildRequires: byacc, flex
 Patch1: pcmciautils-fedora.patch
 
@@ -54,6 +55,9 @@ mv $RPM_BUILD_ROOT/sbin/pcmcia-socket-startup $RPM_BUILD_ROOT/lib/udev
 %{_mandir}/man*/pccardctl*
 
 %changelog
+* Fri Oct 30 2009 Kedar Sovani <kedars@marvell.com> 
+- Change kernel Requires to Conflicts
+
 * Thu Aug 06 2009 Harald Hoyer <harald@redhat.com> 015-4
 - add i686 buildarch
 
-- 
1.5.5.6

